iloveQR
    Plannen en prijzenFAQAPI
    iloveQR

    Maak, pas aan en volg QR-codes voor uw bedrijf. Het complete QR-codeplatform met analytics en team samenwerking.

    • QR-typen
    • Dynamische QR
    • Statische QR
    • Analytics
    • Sjablonen
    • Bulk Builder
    • Aangepaste domeinen
    • API
    • Over ons
    • Prijzen
    • Contact
    • FAQ
    • Helpcentrum
    • Privacybeleid
    • Algemene Voorwaarden
    • Cookiesbeleid
    • GDPR
    • Misbruik Rapporteren

    © 2026 iloveQR. Alle rechten voorbehouden.

    API-documentatie
    API Docs
    Aan de Slag
    InleidingSnelle StartAuthenticatie
    Authenticatie
    QR-codes
    Maak QR-codeWerk QR-code bijVerwijder QR-codeLijst QR-codes
    Bulkbewerkingen
    Analytics
    Webhooks

    Snelle Links

    Krijg API-sleutelStart Gratis Proefperiode
    QR-codes

    QR-codes API

    Maak, werk bij en beheer dynamische QR-codes programmatically. Elke QR-code kan worden aangepast met kleuren, logo's en trackingmogelijkheden.

    Eindpunten

    MethodeEindpuntBeschrijving
    POST
    /organizations/:orgId/qr-codesMaak een nieuwe QR-code aan
    GET
    /organizations/:orgId/qr-codesLijst alle QR-codes
    GET
    /organizations/:orgId/qr-codes/:idHaal een specifieke QR-code op
    PUT
    /organizations/:orgId/qr-codes/:idWerk een QR-code bij
    DELETE
    /organizations/:orgId/qr-codes/:idVerwijder een QR-code
    GET
    /organizations/:orgId/qr-codes/:id/downloadDownload QR-code afbeelding

    Maak QR-code

    Maak een nieuwe dynamische QR-code met aanpasbare inhoud en styling.

    POST
    /organizations/:orgId/qr-codes

    Verzoeklichaam

    ParameterTypeVereistBeschrijving
    typestring
    Vereist
    QR-code type (URL, VCARD, WIFI, enz.)
    namestring
    Vereist
    Weergavenaam voor de QR-code
    dataobject
    Vereist
    Inhoudsdata (verschilt per type)
    styleobject
    Optioneel
    Visuele aanpassingsopties
    folderIdstring
    Optioneel
    Map om de QR-code te organiseren
    tagsstring[]
    Optioneel
    Tags voor categorisatie

    Voorbeelden per type

    URL QR-code
    curl -X POST \
      https://api.iloveqr.com/api/v1/organizations/org_abc123/qr-codes \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json" \
      -d '{
        "type": "URL",
        "name": "Company Website",
        "data": {
          "url": "https://example.com"
        },
        "style": {
          "foregroundColor": "#000000",
          "backgroundColor": "#FFFFFF",
          "cornerRadius": 10
        }
      }'

    Reactie

    {
      "id": "qr_xyz789",
      "type": "URL",
      "name": "Company Website",
      "shortUrl": "https://ilqr.co/xyz789",
      "shortCode": "xyz789",
      "data": {
        "url": "https://example.com"
      },
      "style": {
        "foregroundColor": "#000000",
        "backgroundColor": "#FFFFFF",
        "cornerRadius": 10
      },
      "status": "ACTIVE",
      "totalScans": 0,
      "createdAt": "2024-01-15T10:30:00Z",
      "updatedAt": "2024-01-15T10:30:00Z"
    }

    Lijst QR-codes

    Haal een gepagineerde lijst van QR-codes op met optionele filtering.

    GET
    /organizations/:orgId/qr-codes

    Queryparameters

    ParameterTypeBeschrijving
    pagenumberPaginanummer (standaard: 1)
    limitnumberItems per pagina (standaard: 20, max: 100)
    typestringFilter op QR-code type
    folderIdstringFilter op map
    searchstringZoek op naam
    statusstringFilter op status (ACTIEF, GEAARCHIVEERD)

    Werk QR-code bij

    Werk de inhoud, styling of metadata van een bestaande QR-code bij. De QR-code afbeelding blijft hetzelfde terwijl de bestemming verandert.

    PUT
    /organizations/:orgId/qr-codes/:id
    curl -X PUT \
      https://api.iloveqr.com/api/v1/organizations/org_abc123/qr-codes/qr_xyz789 \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json" \
      -d '{
        "name": "Updated Website",
        "data": {
          "url": "https://new-url.example.com"
        }
      }'

    Verwijder QR-code

    Verwijder een QR-code permanent. Deze actie kan niet ongedaan worden gemaakt. De korte URL stopt met werken.

    DELETE
    /organizations/:orgId/qr-codes/:id
    curl -X DELETE \
      https://api.iloveqr.com/api/v1/organizations/org_abc123/qr-codes/qr_xyz789 \
      -H "X-API-Key: YOUR_API_KEY"

    Ondersteunde QR-code types

    URL

    Link naar elke website of webpagina

    VCARD

    Deel contactinformatie

    WIFI

    Verbind met WiFi-netwerken

    PDF

    Link naar PDF-documenten

    EMAIL

    Vooraf ingevulde e-mailopstelling

    SMS

    Vooraf ingevuld SMS-bericht

    PHONE

    Directe telefoongesprek

    TEXT

    Gewone tekstinhoud

    MENU

    Digitale restaurantmenu

    APP

    App store links

    VIDEO

    Videocontentlinks

    SOCIAL

    Social media links

    Volgende stappen

    Leer meer over gerelateerde functies: